local class = {}
FinderReminder.buttonClass = class
--local methods = {"SetSpell"}

function class:new(header)
    local f = CreateFrame("CheckButton",nil,UIParent,"SecureActionButtonTemplate")
    f:Hide()
    
    --for i,method in methods do
    --    f[method] = self[method]
    --end
    f.SetSpell = self.SetSpell
    
    f:SetWidth(30)
    f:SetHeight(30)
    f:SetFrameStrata("DIALOG")
    local t = f:CreateTexture(nil,"BORDER")
    t:SetAllPoints(f)
    f.icon = t
    
    t = f:CreateTexture(nil,"ARTWORK")
    t:SetWidth(51)
    t:SetHeight(52)
    t:SetTexture("Interface\\Buttons\\UI-Quickslot2")
    t:SetPoint("CENTER",0,0)
    f:SetNormalTexture(t)
    
    f:SetPushedTexture("Interface\\Buttons\\UI-Quickslot-Depress")
    
    t = f:CreateTexture(nil,"HIGHLIGHT")
    t:SetAllPoints(f)
    t:SetTexture("Interface\\Buttons\\ButtonHilight-Square")
    t:SetBlendMode("ADD")
        
    f:SetScript("OnEnter",self.OnEnter)
    f:SetScript("OnLeave",self.OnLeave)
    
    f:SetAttribute("type","spell")
    f:SetAttribute("showstates","1")
    f:SetAttribute("newstate","1:0")
    header:SetAttribute("addchild",f)
    f:SetFrameLevel(3)
    
    return f
end

function class:SetSpell(i)
    self.id = i
    local name, rank = GetSpellName(i,"spell")
    self:SetAttribute("spell",("%s(%s)"):format(name,rank))
    self.icon:SetTexture(GetSpellTexture(i,"spell"))
end

function class:OnEnter()
    GameTooltip:SetOwner(self,"ANCHOR_RIGHT")
    GameTooltip:SetSpell(self.id,"spell")
    GameTooltip:Show()
end

function class:OnLeave()
    if GameTooltip:IsOwned(self) then
        GameTooltip:Hide()
    end
end